> For the complete documentation index, see [llms.txt](https://manual.docs.microstream.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://manual.docs.microstream.one/2.0/data-store/configuration/storage-files-and-directories.md).

# Storage Files and Directories

{% hint style="warning" %}
**This is the manual for older MicroStream versions (Version < 5.0).**

**The new documentation (Version >= 5.0) is located at:**

[https://docs.microstream.one/](https://docs.microstream.one/manual)
{% endhint %}

Using a Storage File Provider (`one.microstream.storage.types.StorageFileProvider`) allows to specify the location and naming rules for all storage related files.

available properties are:

* **BaseDirectory** \
  The Microstream storages location base directory. Contains channel directories and type dictionary file.<br>
* **DeletionDirectory**\
  If configured, the storage will not delete files. Instead of deleting a file it will be moved to this directory.<br>
* **TruncationDirectory**\
  If configured, files that will get truncated are copied into this directory. <br>
* **ChannelDirectoryPrefix**\
  Channel directory prefix string<br>
* **StorageFilePrefix** \
  Storage file prefix string<br>
* **StorageFileSuffix**\
  storage file extension<br>
* **TransactionsFilePrefix**\
  transactions file prefix<br>
* **TransactionsFileSuffix**\
  transaction file extension<br>
* **TypeDictionaryFileName**\
  filename of the type dictionary

```java
StorageFileProvider fileProvider = Storage.FileProviderBuilder()
	.setBaseDirectory         (WORKINGDIR.getPath())
	.setDeletionDirectory     (DELETIONDIR.getPath())
	.setTruncationDirectory   (TRUNKATIONDIR.getPath())
	.setChannelDirectoryPrefix("canal_")
	.setStorageFilePrefix     ("canal_")
	.setStorageFileSuffix     (".bin")
	.setTransactionsFilePrefix("events_")
	.setTransactionsFileSuffix(".bin")
	.setTypeDictionaryFileName("typeDictionary.txt")
	.createFileProvider();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://manual.docs.microstream.one/2.0/data-store/configuration/storage-files-and-directories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
